<%@ page contentType="text/html; charset=GBK" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.common.util.SysPreperty" %>

<%@ page import = "zr.zrpower.ejb.sys.UIService"%>
<%@ page import = "zr.zrpower.flowengine.service.FlowControl" %>
<%@ page import = "zr.zrpower.flowengine.mode.config.FLOW_CONFIG_ACTIVITY"%>
<%
SessionUser user = (SessionUser)session.getAttribute("userinfo");
UIService userUI =new UIService();

  String strCNodeNo;
  String strExecuteNo;
  String strNodeNo;
  String strAstrategy="";
  String strType="";
  String ISCachet ="";
  String strName="";
  String str_OtherID="";
  String str_ParentID ="";
  String str_ParentID1 ="";
  String AttMessage ="";//附件提示信息
  String IsAttMessage ="0";//是否需要检测附件提示

  FlowControl FControl = new FlowControl();

  strCNodeNo = request.getParameter("CNodeNo");
  strExecuteNo = request.getParameter("ExecuteNo");
  strNodeNo = request.getParameter("NodeNo");
  strType = request.getParameter("Type");
  AttMessage = request.getParameter("AttMessage");

  str_OtherID = request.getParameter("OtherID");
  str_ParentID = request.getParameter("ParentID");
  str_ParentID1 = request.getParameter("ParentID1");
  String th = request.getParameter("th");
  if (th==null){th="";}

  if (AttMessage.length()>0)
  {
       //根据当前活动和下一活动得到是否需要附件提示
       IsAttMessage = FControl.GetISAttMessage(strCNodeNo,strNodeNo);
  }
  FLOW_CONFIG_ACTIVITY activity = null;
  activity = FControl.GetFlowActivity(strNodeNo);
  //得到选择步骤的名称
  strName = activity.getNAME();
%>
<HTML>
<HEAD>
<TITLE><%=SysPreperty.getProperty().SystemName%><%=SysPreperty.getProperty().Versoin%></TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link REL="stylesheet" type="text/css" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
</HEAD>
<BODY class="BodyMain">
<%if(!user.getUserWINDOWTYPE().equals("6")){ %>
    <%=userUI.ShowHeadHtml("办理人员选择→["+strName+"]",user.getUserImage())%>
    <%=userUI.ShowBodyStartHtml()%>
<%}%>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
    <tr>
      <td><iframe id="PsnManage" name="PsnManage" src="PsnManage.jsp?th=<%=th%>&NodeNo=<%=strNodeNo%>" width="100%" height="100%" marginwidth="1" marginheight="1" frameborder="0"></iframe></td>
    </tr>
  </table>
<%if(!user.getUserWINDOWTYPE().equals("6")){ %>
   <%=userUI.ShowFootHtml()%>
<%}%>
</body>
</html>
<SCRIPT language=javascript type=text/javascript>
<!--
setTimeout("returnMessage();",300);
//作用：返回提示信息或待选人员为一人时直接提交
function returnMessage(){
    var IsAttMessage = "<%=IsAttMessage%>";
    if (IsAttMessage=="1")
    {
       <%if(!user.getUserWINDOWTYPE().equals("6")){ %>
         window.returnValue = "IsAttMessage";
         window.close();
         return;
      <%}else{%>
         <%if (th.equals("1")){%>
           parent.SelectUpDept_x_f("IsAttMessage");
         <%}else{%>
           parent.SelectDoDept_x_f("IsAttMessage");
         <%}%>

      <%}%>
    }
}
// -->
</SCRIPT>
<%
//清空相关对象
user = null;
userUI = null;
FControl = null;
activity = null;
%>
